package java.io;

public abstract class InputStream {
   public abstract int read() throws IOException;

   public int read(byte[] var1) throws IOException {
      return this.read(var1, 0, var1.length);
   }

   public int read(byte[] var1, int var2, int var3) throws IOException {
      if (var3 <= 0) {
         return 0;
      } else {
         int var4 = this.read();
         if (var4 == -1) {
            return -1;
         } else {
            var1[var2] = (byte)var4;
            int var5 = 1;

            try {
               for(; var5 < var3; ++var5) {
                  var4 = this.read();
                  if (var4 == -1) {
                     break;
                  }

                  if (var1 != null) {
                     var1[var2 + var5] = (byte)var4;
                  }
               }
            } catch (IOException var6) {
            }

            return var5;
         }
      }
   }

   public long skip(long var1) throws IOException {
      byte[] var3 = new byte[(int)(var1 & -268435457L)];
      return (long)this.read(var3);
   }

   public int available() throws IOException {
      return 0;
   }

   public void close() throws IOException {
   }

   public synchronized void mark(int var1) {
   }

   public synchronized void reset() throws IOException {
      throw new IOException("mark/reset not supported");
   }

   public boolean markSupported() {
      return false;
   }
}
