package java.io;

class ObjectStreamField {
   String name;
   char type;
   int offset;
   String typeString;

   ObjectStreamField(String var1, char var2, int var3, String var4) {
      this.name = var1;
      this.type = var2;
      this.offset = var3;
      this.typeString = var4;
   }

   ObjectStreamField() {
   }

   boolean isPrimitive() {
      return this.type != '[' && this.type != 'L';
   }

   int compare(ObjectStreamField var1) {
      boolean var2 = this.typeString == null;
      boolean var3 = var1.typeString == null;
      if (var2 != var3) {
         return var2 ? -1 : 1;
      } else {
         return this.name.compareTo(var1.name);
      }
   }

   boolean typeEquals(ObjectStreamField var1) {
      if (var1 != null && this.type == var1.type) {
         return this.typeString == null && var1.typeString == null ? true : this.typeString.equals(var1.typeString);
      } else {
         return false;
      }
   }

   public String toString() {
      return this.typeString != null ? this.typeString + " " + this.name + " @" + this.offset : this.type + " " + this.name + " @" + this.offset;
   }
}
