package java.io;

public class StringWriter extends Writer {
   private StringBuffer buf;

   public StringWriter() {
      this.buf = new StringBuffer();
      super.lock = this.buf;
   }

   protected StringWriter(int var1) {
      this.buf = new StringBuffer(var1);
      super.lock = this.buf;
   }

   public void write(int var1) {
      this.buf.append((char)var1);
   }

   public void write(char[] var1, int var2, int var3) {
      this.buf.append(var1, var2, var3);
   }

   public void write(String var1) {
      this.buf.append(var1);
   }

   public void write(String var1, int var2, int var3) {
      char[] var4 = new char[var3];
      var1.getChars(var2, var3, var4, 0);
      this.buf.append(var4);
   }

   public String toString() {
      return this.buf.toString();
   }

   public StringBuffer getBuffer() {
      return this.buf;
   }

   public void flush() {
   }

   public void close() {
   }
}
