package java.io;

public abstract class Writer {
   protected Object lock;

   protected Writer() {
      this.lock = this;
   }

   protected Writer(Object var1) {
      this.lock = var1;
   }

   public void write(int var1) throws IOException {
      Object var2 = this.lock;
      synchronized(var2){}

      try {
         char[] var4 = new char[]{(char)var1};
         this.write((char[])var4, 0, 1);
      } catch (Throwable var6) {
         throw var6;
      }

   }

   public void write(char[] var1) throws IOException {
      this.write((char[])var1, 0, var1.length);
   }

   public abstract void write(char[] var1, int var2, int var3) throws IOException;

   public void write(String var1) throws IOException {
      this.write((String)var1, 0, var1.length());
   }

   public void write(String var1, int var2, int var3) throws IOException {
      Object var4 = this.lock;
      synchronized(var4){}

      try {
         char[] var6 = new char[var3];
         var1.getChars(var2, var3, var6, 0);
         this.write((char[])var6, 0, var3);
      } catch (Throwable var8) {
         throw var8;
      }

   }

   public abstract void flush() throws IOException;

   public abstract void close() throws IOException;
}
